Subject: Re: bug#30939: shepherd: detailed output should be placed into well-known location and not tty

From: ng0 <[email-masked]>
Date: Tue, 27 Mar 2018 09:15:29 +0000

Ludovic Courtès transcribed 839 bytes:
> Hello,
> 
> ng0 <[email-masked]> skribis:
> 
> > Sometimes I succeed building a system generation with an OpenSMTPD config-file
> > which has syntax error that aren't picked up at configure time. When I reboot,
> > not being aware of this, I have to switch to tty to read the reasons why it
> > crashed.
> > Because this is a desktop system, I have to start the service again to see
> > the error output directly from the daemon.
> 
> I think shepherd could capture stdout/stderr of the processes it starts
> and make it available, in a way similar in spirit to what ‘journalctl’
> does.  That would allow you to see the output of the daemon that failed.

That sounds good.

> That’s the only solution I can think of.  Of course we don’t have to do
> that if the daemon writes error messages to syslog, but not all of them do.
> 
> Thanks,
> Ludo’.

Well, just a way to catch them would be good.

Thanks